> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Default Model Selection

> Get the organization's canonical default model selection.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /agent/default-model-selection
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /agent/default-model-selection:
    get:
      tags:
        - agent
      summary: Get Default Model Selection
      description: Get the organization's canonical default model selection.
      operationId: agent-get_default_model_selection
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DefaultModelSelection'
                  - type: 'null'
                title: Response Agent-Get Default Model Selection
      security:
        - APIKeyCookie: []
components:
  schemas:
    DefaultModelSelection:
      properties:
        catalog_id:
          type: string
          format: uuid
          title: Catalog Id
        model_name:
          type: string
          maxLength: 500
          minLength: 1
          title: Model Name
        model_provider:
          type: string
          maxLength: 120
          minLength: 1
          title: Model Provider
        custom_provider_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Custom Provider Id
      type: object
      required:
        - catalog_id
        - model_name
        - model_provider
      title: DefaultModelSelection
      description: Canonical default-model selection for an organization.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````